rte_devargs(3)

NAME
rte_devargs

SYNOPSIS

#include <rte_devargs.h>

  Public Member Functions

RTE_TAILQ_ENTRY (rte_devargs) next

  Data Fields

enum rte_devtype type
enum rte_dev_policy policy
char name [RTE_DEV_NAME_MAX_LEN]
struct rte_bus * bus
struct rte_class * cls
const char * bus_str
const char * cls_str
char * data

Detailed Description

Structure that stores a device given by the user with its arguments

A user device is a physical or a virtual device given by the user to the DPDK application at startup through command line arguments.

The structure stores the configuration of the device, its PCI identifier if it's a PCI device or the driver name if it's a virtual device.

Definition at line 72 of file rte_devargs.h.

Member Function Documentation

  RTE_TAILQ_ENTRY (rte_devargs )
Next in list.

Field Documentation

  enum rte_devtype type
Type of device.

Definition at line 76 of file rte_devargs.h.

  enum rte_dev_policy policy
Device policy.

Definition at line 78 of file rte_devargs.h.

  char name[RTE_DEV_NAME_MAX_LEN]
Name of the device.

Definition at line 80 of file rte_devargs.h.

  const char* args
legacy name.

Definition at line 82 of file rte_devargs.h.

  const char* drv_str
driver-related part of device string.

Definition at line 83 of file rte_devargs.h.

  struct rte_bus* bus
bus handle.

Definition at line 85 of file rte_devargs.h.

  struct rte_class* cls
class handle.

Definition at line 86 of file rte_devargs.h.

  const char* bus_str
bus-related part of device string.

Definition at line 87 of file rte_devargs.h.

  const char* cls_str
class-related part of device string.

Definition at line 88 of file rte_devargs.h.

  char* data
raw string including bus, class and driver parts.

Definition at line 89 of file rte_devargs.h.

Author

Generated automatically by Doxygen for DPDK from the source code.